-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at: http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

-- c_pd_slow_disk_info
---@class c_pd_slow_disk_info
---@field cmd_timeout_times integer
---@field unexpected_sense_times integer
---@field reset_times integer
---@field power_on_times integer
local c_pd_slow_disk_info = {}
c_pd_slow_disk_info.__index = c_pd_slow_disk_info

function c_pd_slow_disk_info.new(info)
    return setmetatable(info, c_pd_slow_disk_info)
end

return c_pd_slow_disk_info
